<template>
    <lightning-card>
        <div class="slds-m-horizontal_large" style="min-height: 400px;">
            <div class="pannel">
                <div class="slds-grid">
                    <div class="slds-col slds-m-right_large">
                        <lightning-combobox label="Year" value={selectedYear} onchange={handleChangeYear}
                            options={yearsOption} placeholder="Select an Year">
                        </lightning-combobox>
                    </div>
                    <div class="slds-col slds-m-left_large">
                        <lightning-combobox if:false={selectedYear} label="Group by" value={selectedGroupBy} onchange={handleChangeGroupBy}
                            options={groupByOption} placeholder="Select a Group" disabled>
                        </lightning-combobox>
                        <lightning-combobox if:true={selectedYear} label="Group by" value={selectedGroupBy} onchange={handleChangeGroupBy}
                            options={groupByOption} placeholder="Select a Group">
                        </lightning-combobox>
                    </div>
                </div>
            </div>
            <div class="wrapperTable slds-scrollable" if:true={selectedYear}>
                <table class="slds-m-vertical_medium">
                    <thead>
                        <tr class="slds-line-height_reset">
                            <th scope="col">
                                <div class="slds-truncate">Account Name</div>
                            </th>
                            <th scope="col">
                                <div class="slds-truncate"></div>
                            </th>
                            <template if:true={isMonth} for:each={months} for:item="month">
                                <th class="" scope="col" key={month}>
                                    <div class="slds-truncate">{month}</div>
                                </th>
                            </template>
                            <template if:false={isMonth} for:each={offDays} for:item="offDay">
                                <th class="" scope="col" key={offDay}>
                                    <div class="slds-truncate">{offDay}</div>
                                </th>
                            </template>
                            <th scope="col">
                                <div class="slds-truncate">Total</div>
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        <template for:each={mapData} for:item="mapKey">
                            <c-revenue-report-row key={mapKey.key} account-name={mapKey.key} value={mapKey.value}
                                selected-group-by={selectedGroupBy} off-days={offDays}>
                            </c-revenue-report-row>
                        </template>
                    </tbody>
                </table>
            </div>
            <div class="warningMessage" if:false={selectedYear}>Select the year to display the report</div>
        </div>
    </lightning-card>
</template>